/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.dataPool.db.service;

import net.northking.cctp.common.db.BasicService;
import net.northking.cctp.dataPool.db.entity.DataSetTree;
import net.northking.cctp.dataPool.dto.dataSets.DataSetTreeDetailDto;
import net.northking.cctp.dataPool.dto.dataSets.DataSetTreeMoveDto;
import net.northking.cctp.dataPool.dto.dataSets.DataSetTreeQueryDto;

import java.util.List;

/**
 * 数据集树目录表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2022-10-24 16:58:38  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
public interface DataSetTreeService extends BasicService<DataSetTree>
{
    int updateChildNamePath(DataSetTree childSetTrees, String namePathNew);

    List<DataSetTreeDetailDto> selectDataSetTree(DataSetTreeQueryDto setTreeQueryDto);

    List<DataSetTreeDetailDto> queryChildrenTreeList(String treeId);

    List<DataSetTree> queryByIds(List<String> list);

    int countMaxLevelNo(DataSetTree queryLevel);

    void updateSeqByMove(DataSetTreeMoveDto childUp);

    int updateChildIdPath(DataSetTree child, String path);



}
